# template: default
%global gem_name http-form_data

Name: rubygem-%{gem_name}
Version: 2.3.0
Release: 1%{?dist}
Summary: http-form_data-2.3.0
License: MIT
URL: https://github.com/httprb/form_data.rb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby
BuildRequires: ruby
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
Utility-belt to build form data request bodies. Provides support for
`application/x-www-form-urlencoded` and `multipart/form-data` types.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%doc %{gem_instdir}/CHANGES.md
%exclude %{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%exclude %{gem_instdir}/appveyor.yml
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%exclude %{gem_instdir}/http-form_data.gemspec
%{gem_instdir}/spec

%changelog
* Fri Aug 23 2024 David Ochner <ochnerd@yahoo.de> 2.3.0-1
- Update to 2.3.0-1

* Tue Apr 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 2.1.1-2
- Rebuild for Ruby 2.7

* Wed Apr 24 2019 Moti Asayag <masayag@redhat.com> 2.1.1-1
- Add rubygem-http-form_data generated by gem2rpm using the scl template

